Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Stefan Kangas <[email-masked]>
Date: Mon, 19 Oct 2020 19:03:22 +0000

Robert Pluim <[email-masked]> writes:

> It *should* work as-is on GNU/Linux, but for some reason Emacs is
> completely refusing to use any Emoji fonts for me there. Itʼs possible
> Iʼve messed up my system somehow, since emacs-27 has the same issue,
> but Iʼm seeing some very suspicious results from
> ftcrfont_glyph_extents (the font average width is always 0), so perhaps
> we need to adjust our font code.
>
> Testing appreciated.

I applied your patch running on Debian GNU/Linux (bullseye/testing), and
was able to display the "🎉" character from Lars' original message just
fine here.